MapScale Docs
API ReferenceHealth and contract
← MapScale API
POST/v1/environmental/terrain/elevation/batch

POST /v1/environmental/terrain/elevation/batch

Public operational checks and the OpenAPI document.

Sends this request to the live API and shows the real response.

Equivalent request
curl \
  -X POST \
  -H "X-MapScale-Key: $MAPSCALE_API_KEY" \
  "https://api.mapscale.io/v1/environmental/terrain/elevation/batch"
Response
Default response
{
  "status": "200",
  "contentType": "application/json",
  "description": "ElevationBatchResponse"
}

Request body

Required · application/json

Responses

200ElevationBatchResponseapplication/json
400Invalid environmental data requestapplication/json
401mapscale/effect-api/UnauthorizedFailureapplication/json
403mapscale/effect-api/ForbiddenFailureapplication/json
429mapscale/effect-api/RateLimitedFailureapplication/json
500mapscale/effect-api/MiddlewareInternalFailureapplication/json
502Environmental data store unavailableapplication/json
503mapscale/effect-api/UpstreamUnavailableFailureapplication/json

On this page